## tuxedo-archive-keyring 2024.04.01~tux1

=== Makefile ===
#!/usr/bin/make -f

all:
	gpg \
		--homedir $$(pwd)/.gnupg \
		--lock-never \
		--no-default-keyring \
		--keyring ./temp-keyring.kbx \
		--import *.asc
	gpg \
		--homedir $$(pwd)/.gnupg \
		--lock-never \
		--no-default-keyring \
		--keyring ./temp-keyring.kbx \
		--export >tuxedo-archive-keyring.gpg
	gpgconf --kill gpg-agent
	$(RM) temp-keyring.kbx temp-keyring.kbx~
	$(RM) tuxedo-archive-keyring.gpg~

install:

clean:
	$(RM) temp-keyring.kbx temp-keyring.kbx~
	$(RM) tuxedo-archive-keyring.gpg
	$(RM) -r $$(pwd)/.gnupg

check:

test:

=== debian/changelog ===
tuxedo-archive-keyring (2024.04.01~tux1) noble; urgency=medium

  * remove the neon key, it's not needed anymore
  * make tuxedo-base-files a recommend

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 22 Jul 2025 10:39:11 +0200

tuxedo-archive-keyring (2022.04.01~tux2) jammy; urgency=medium

  * add neon-keyring to our package

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Mon, 25 Nov 2024 12:00:25 +0100

tuxedo-archive-keyring (2022.04.01~tux) focal; urgency=medium

  * fix wrong depend on debian-archive-keyring

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 01 Apr 2022 10:50:44 +0200

tuxedo-archive-keyring (1.0.20.04~tux1) focal; urgency=medium

  * initial release

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Tue, 22 Mar 2022 12:16:30 +0100

=== debian/control ===
Source: tuxedo-archive-keyring
Maintainer: Torsten Wohlfarth <towo@tuxedo.de>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: gnupg
Standards-Version: 3.9.6
Vcs-Browser: http://git.tuxedo.org/summary/base!tuxedo-archive-keyring.git
Vcs-Git: git://git.tuxedo.org/base/tuxedo-archive-keyring.git

Package: tuxedo-archive-keyring
Architecture: all
Depends: ${misc:Depends},
         gpgv,
Recommends: gnupg, tuxedo-base-files
Description: GnuPG archive keys of the tuxedo archive
 The archive project digitally signs its release files. This package contains
 the archive keys used for that and can be used to support signature 
 verification ("apt-secure") for:
  - Release signature verification for tuxedo (Release.gpg)
  - Packages, Sources md5sum verification against Release
